#vider la mmoire
rm(list=ls())

#chargement des donnes
canines <- read.table(file="canines-subset.txt",header=T,sep="\t",row.names=1,dec=".")

#description des variables actives
summary(canines[1:3])

#**************
#AFCM avec ade4
#**************

#chargement des donnes - y compris les 2 colonnes supplmentaires
canines <- read.table(file="canines-subset.txt",header=T,sep="\t",row.names=1,dec=".")

#chargement de la librairie
library(ade4)

#codage disjonctif des variables actives
binaires.actives <- acm.disjonctif(subset(canines,select=1:3))
colnames(binaires.actives) <- unlist(sapply(canines[1:3],function(x){levels(x)}))
print(binaires.actives)

#acm sur les indicatrices
acm.canines <- dudi.coa(binaires.actives,scannf=F,nf=2)

#boulis des valeurs propres
screeplot(acm.canines,type="lines")

#graphique des modalits
coord <- acm.canines$co
plot(coord[,1],coord[,2],xlim=c(-2,2),ylim=c(-2,2),type="n",main="Modalits",xlab="Axe.1",ylab="Axe.2")
abline(h=0,v=0)
text(acm.canines$co[,1],acm.canines$co[,2],labels=colnames(binaires.actives),cex=0.75,col="blue")

#evaluation des modalites => CTR et COS2
eval.acm <- inertia.dudi(acm.canines,col.inertia=T)

#contributions
contrib <- eval.acm$col.abs/100
rownames(contrib) <- colnames(binaires.actives)
print(contrib)

#cos2 (les cos2 sont signs)
cos2 <- eval.acm$col.rel/100
rownames(cos2) <- colnames(binaires.actives)
print(cos2[,1:2])
